Vulnerabilities > Belkin > N750

DATE CVE VULNERABILITY TITLE RISK
2020-02-13 CVE-2013-7173 Classic Buffer Overflow vulnerability in Belkin N750 Firmware 1.10.16M
Belkin n750 routers have a buffer overflow.
network
low complexity
belkin CWE-120
critical
10.0
2018-04-19 CVE-2018-1143 OS Command Injection vulnerability in Belkin N750 Firmware 1.10.22
A remote unauthenticated user can execute commands as root in the Belkin N750 using firmware version 1.10.22 by sending a crafted HTTP request to twonky_command.cgi.
network
low complexity
belkin CWE-78
critical
10.0
2018-04-19 CVE-2018-1144 OS Command Injection vulnerability in Belkin N750 Firmware 1.10.22
A remote unauthenticated user can execute commands as root in the Belkin N750 using firmware version 1.10.22 by sending a crafted HTTP request to proxy.cgi.
network
low complexity
belkin CWE-78
critical
10.0
2018-04-19 CVE-2018-1145 Improper Restriction of Operations within the Bounds of a Memory Buffer vulnerability in Belkin N750 Firmware 1.10.22
A remote unauthenticated user can overflow a stack buffer in the Belkin N750 using firmware version 1.10.22 by sending a crafted HTTP request to proxy.cgi.
network
low complexity
belkin CWE-119
7.5
2018-04-19 CVE-2018-1146 Unspecified vulnerability in Belkin N750 Firmware 1.10.22
A remote unauthenticated user can enable telnet on the Belkin N750 using firmware version 1.10.22 by sending a crafted HTTP request to set.cgi.
network
low complexity
belkin
5.0